Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | List of all members
eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\FieldFacetBuilder Class Reference

Build a field term facet. More...

Inheritance diagram for eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\FieldFacetBuilder:

## Public Attributes
const | COUNT_ASC = 0
const | COUNT_DESC = 1
const | TERM_ASC = 2
const | TERM_DESC = 3
| $fieldPaths
| $regex
| $sort
Public Attributes inherited from eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder
| $name
| $global = false
| $filter = null
| $limit = 10
| $minCount = 1

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Build a field term facet.

If provided the search service returns a FieldFacet for the provided field path. A field path starts with a field identifier and may contain a subpath in the case of complex field types (e.g. author/name)

Definition at line 18 of file FieldFacetBuilder.php.

## Member Data Documentation

## ◆ $fieldPaths

eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\FieldFacetBuilder::$fieldPaths

Definition at line 30 of file FieldFacetBuilder.php.

## ◆ $regex

eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\FieldFacetBuilder::$regex

Definition at line 39 of file FieldFacetBuilder.php.

## ◆ $sort

eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\FieldFacetBuilder::$sort

Definition at line 50 of file FieldFacetBuilder.php.

## ◆ COUNT_ASC

const eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\FieldFacetBuilder::COUNT_ASC = 0

Definition at line 20 of file FieldFacetBuilder.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\FacetBuilder\FieldParser\parse().

## ◆ COUNT_DESC

const eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\FieldFacetBuilder::COUNT_DESC = 1

Definition at line 21 of file FieldFacetBuilder.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\FacetBuilder\FieldParser\parse().

## ◆ TERM_ASC

const eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\FieldFacetBuilder::TERM_ASC = 2

Definition at line 22 of file FieldFacetBuilder.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\FacetBuilder\FieldParser\parse().

## ◆ TERM_DESC

const eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\FieldFacetBuilder::TERM_DESC = 3

Definition at line 23 of file FieldFacetBuilder.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\FacetBuilder\FieldParser\parse().

The documentation for this class was generated from the following file:

- FieldFacetBuilder.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.